resource "kubernetes_cluster_role" "kube2iam_cluster_role" {
  metadata {
    name = "kube2iam-svc-acc"
  }

  rule {
    api_groups = [""]
    resources  = ["namespaces", "pods", "configmaps", "nodes", "ingresses", "endpoints", "services"]
    verbs      = ["get", "list", "watch", "create", "update"]
  }
}

resource "kubernetes_cluster_role_binding" "kube2iam_cluster_role_bind" {
  metadata {
    name = "kube2iam-svc-acc"
  }

  role_ref {
    api_group = "rbac.authorization.k8s.io"
    kind      = "ClusterRole"
    name      = "kube2iam-svc-acc"
  }

  subject {
    api_group = ""
    kind      = "ServiceAccount"
    name      = "kube2iam-svc-acc"
    namespace = "kube-system"
  }
}
